
package de.ivu.elect.dokumente.ergebnis;

import de.ivu.elect.business.wahl.control.AbstractNlExportArtefaktNachSystemExportstatusExportContext;

/**
 * @see NlWasModelNa312MainDocumentExportMapper
 * @see NlWasModelNa312Eml510bExportMapper
 * @see NlWasModelNa312Eml510dExportMapper
 * @see NlWasModelNa312Osv43CsvExportMapper
 */
public class NlWasModelNa312Bijlage1DocumentExportMapper extends AbstractNlWasModelNa312DocumentExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.modelna312.bijlage1";

  public NlWasModelNa312Bijlage1DocumentExportMapper() {
    super();
  }

  @Override
  public boolean supportsBulkExportNachSystemExportstatus(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return false; // ELECTVAPP-2177, ist in Model Na 31-2 integriert...
  }

  @Override
  public String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected String getDokumentVorlageNameInfix() {
    return "Model Na 31-2 bijlage 1";
  }

  /*
   * https://support.elect-it.com/wiki/x/XoE8
   */

  @Override
  public boolean requiresWahlausschusssitzungEinwaende(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return true;
  }

  @Override
  public boolean requiresWahlausschusssitzungEinwaendeBemerkungen(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return true;
  }
}
